nupic

module (bold = default) build dependencies
nupic/0.2.1 python/2.7.8 gcc/4.8.2

also see Using Software.